org.apache.tinkerpop.gremlin.structure.io.graphml

## Class GraphMLIo.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphml.GraphMLIo.Builder

- All Implemented Interfaces:
    Io.Builder<GraphMLIo>
  Enclosing class:
    GraphMLIo

      public static final class GraphMLIo.Builder
      extends Object
      implements Io.Builder<GraphMLIo>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphMLIo` | `create()` Providers call this method in the `Graph.io(Io.Builder)` method to construct the `Io` instance and return the value.
    `Io.Builder<GraphMLIo>` | `graph(Graph g)` Providers use this method to supply the current instance of their `Graph` to the builder.
    `Io.Builder<? extends Io>` | `onMapper(Consumer<Mapper.Builder> onMapper)` Allows a `Graph` implementation to have full control over the `Mapper.Builder` instance.
    `<V> boolean` | `requiresVersion(V version)` GraphML does not have a version and therefore always returns false.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### onMapper

          public Io.Builder<? extends Io> onMapper(Consumer<Mapper.Builder> onMapper)

      Description copied from interface: `Io.Builder`
      Allows a `Graph` implementation to have full control over the `Mapper.Builder` instance. Typically, the implementation will just pass in its `IoRegistry` implementation so that the `Mapper` that gets built will have knowledge of any custom classes and serializers it may have.

      End-users should not use this method directly. If a user wants to register custom serializers, then such things can be done via calls to `Io.mapper()` after the `Io` is constructed via `Graph.io(Io.Builder)`.
      Specified by:
        `onMapper` in interface `Io.Builder<GraphMLIo>`

    - #### graph

          public Io.Builder<GraphMLIo> graph(Graph g)

      Description copied from interface: `Io.Builder`
      Providers use this method to supply the current instance of their `Graph` to the builder. End-users should not call this method directly.
      Specified by:
        `graph` in interface `Io.Builder<GraphMLIo>`

    - #### requiresVersion

          public <V> boolean requiresVersion(V version)

      GraphML does not have a version and therefore always returns false. This default return also makes sense because GraphML does not use custom `IoRegistry` instances anyway which is the primary reason for calling this method by a graph provider.
      Specified by:
        `requiresVersion` in interface `Io.Builder<GraphMLIo>`

    - #### create

          public GraphMLIo create()

      Description copied from interface: `Io.Builder`
      Providers call this method in the `Graph.io(Io.Builder)` method to construct the `Io` instance and return the value. End-users will typically not call this method.
      Specified by:
        `create` in interface `Io.Builder<GraphMLIo>`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.